Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.handler.metadata
Class PathMap

    java.lang.Object
      org.springframework.web.servlet.handler.metadata.PathMap

Deprecated. as of Spring 2.5, in favor of annotation-based request mapping. To be removed in Spring 3.0.

    public class PathMap

extends Object

Attribute to be used on Controller classes to allow for automatic URL mapping without web controllers being defined as beans in an XML bean definition file.

The path map should be the path in the current application, such as /foo.cgi. If there is no leading "/", one will be prepended.

Application code must use the Commons Attributes indexer tool to use this option.

Author:
  Rod Johnson

Constructor Summary
`PathMap(String url)` Deprecated. Create a new PathMap attribute for the given URL.

Method Summary
`String` | `getUrl()` Deprecated. Return the URL that this attribute indicates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathMap

    public PathMap(String url)

  Deprecated.
  Create a new PathMap attribute for the given URL.

Method Detail

### getUrl

    public String getUrl()

  Deprecated.
  Return the URL that this attribute indicates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.